<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

    <head>
    <title>GormWrapperLoader documentation</title>
  </head>
  <body>
    <font face="serif">
    <h1><a name="title$GormWrapperLoader">GormWrapperLoader documentation</a></h1>
    <h3>Authors</h3>
    <dl>
      <dt>Generated by heron</dt>
      <dd>
      </dd>
    </dl>

        <div>
      <hr width="50%" align="left" />
      <h3>Contents -</h3>
      <ol>
        <li>
          <a href="#001000000000">Software documentation for the GormWrapperLoader class</a>
        </li>
        <li>
          <a href="#002000000000">Software documentation for the
        GormWrapperLoaderFactory class</a>
        </li>
        <li>
          <a href="#003000000000">Software documentation for the GormWrapperLoader
        protocol</a>
        </li>
      </ol>
      <hr width="50%" align="left" />
    </div>

          <h1><a name="001000000000">
        Software documentation for the GormWrapperLoader class
      </a></h1>
    <h2><a name="class$GormWrapperLoader">GormWrapperLoader</a> : NSObject</h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>GormCore/GormWrapperLoader.h</dd>
      </dl>
    </blockquote>
    <blockquote>
      <dl>
        <dt><b>Conforms to:</b></dt>
        <dd><a rel="gsdoc" href="#protocol$(GormWrapperLoader)">GormWrapperLoader</a></dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="50%" align="left" />
    <a href="#_GormWrapperLoader_ivars">Instance Variables</a>
    <br/><br/>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="GormWrapperLoader.html#method$GormWrapperLoader+fileType">+fileType</a></li>
      <li><a rel="gsdoc" href="GormWrapperLoader.html#method$GormWrapperLoader-saveSCMDirectory$">-saveSCMDirectory:</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$GormWrapperLoader+fileType">fileType&nbsp;</a></h3>
    + (NSString*) <b>fileType</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormWrapperLoader-saveSCMDirectory$">saveSCMDirectory:&nbsp;</a></h3>
    - (void) <b>saveSCMDirectory:</b> (NSDictionary*)fileWrappers;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<a name="_GormWrapperLoader_ivars"/>    <br/><hr width="50%" align="left" />
    <h2>Instance Variables for GormWrapperLoader Class</h2>
    <h3><a name="ivariable$GormWrapperLoader*document">document</a></h3>
    @protected GormDocument* <b>document</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <br/><hr width="50%" align="left" /><br/>

          <h1><a name="002000000000">
        Software documentation for the
        GormWrapperLoaderFactory class
      </a></h1>
    <h2><a name="class$GormWrapperLoaderFactory">GormWrapperLoaderFactory</a> : NSObject</h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>GormCore/GormWrapperLoader.h</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="GormWrapperLoader.html#method$GormWrapperLoaderFactory+registerWrapperLoaderClass$">+registerWrapperLoaderClass:</a></li>
      <li><a rel="gsdoc" href="GormWrapperLoader.html#method$GormWrapperLoaderFactory+sharedWrapperLoaderFactory">+sharedWrapperLoaderFactory</a></li>
      <li><a rel="gsdoc" href="GormWrapperLoader.html#method$GormWrapperLoaderFactory-wrapperLoaderForType$">-wrapperLoaderForType:</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$GormWrapperLoaderFactory+registerWrapperLoaderClass$">registerWrapperLoaderClass:&nbsp;</a></h3>
    + (void) <b>registerWrapperLoaderClass:</b> (Class)aClass;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormWrapperLoaderFactory+sharedWrapperLoaderFactory">sharedWrapperLoaderFactory&nbsp;</a></h3>
    + (<a rel="gsdoc" href="#class$GormWrapperLoaderFactory">GormWrapperLoaderFactory</a>*) <b>sharedWrapperLoaderFactory</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormWrapperLoaderFactory-wrapperLoaderForType$">wrapperLoaderForType:&nbsp;</a></h3>
    - (id<<a rel="gsdoc" href="#protocol$(GormWrapperLoader)">GormWrapperLoader</a>>) <b>wrapperLoaderForType:</b> (NSString*)type;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>

          <h1><a name="003000000000">
        Software documentation for the GormWrapperLoader
        protocol
      </a></h1>
    <h2><a name="protocol$(GormWrapperLoader)">GormWrapperLoader</a></h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>GormCore/GormWrapperLoader.h</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="GormWrapperLoader.html#method$(GormWrapperLoader)-loadFileWrapper$withDocument$">-loadFileWrapper:withDocument:</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$(GormWrapperLoader)-loadFileWrapper$withDocument$">loadFileWrapper:&nbsp;withDocument:&nbsp;</a></h3>
    - (BOOL) <b>loadFileWrapper:</b> (NSFileWrapper*)wrapper<b> withDocument:</b> (<a rel="gsdoc" href="GormDocument.html#class$GormDocument">GormDocument</a>*)document;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
    <br />
    </font>
</body>
</html>
